%define upstream_name	 CGI
%define upstream_version 4.55

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Simple Common Gateway Interface class for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://stein.cshl.org/WWW/software/CGI/
Source0:    https://cpan.metacpan.org/authors/id/L/LD/LDS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec) >= 0.820.0
BuildRequires: perl(File::Temp) >= 0.170.0
BuildRequires: perl(HTML::Entities) >= 3.690.0
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(POSIX)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn) >= 0.300.0
BuildRequires: perl(if)
BuildRequires: perl(overload)
BuildRequires: perl(parent) >= 0.225.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This perl library uses perl5 objects to make it easy to create
Web fill-out forms and parse their contents.  This package
defines CGI objects, entities that contain the values of the
current query string and other state variables.  Using a CGI
object's methods, you can examine keywords and parameters
passed to your script, and create forms whose initial values
are taken from the current query (thereby preserving state
information).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
perl -pi -e s,/usr/local/bin/perl,/usr/bin/perl, examples/*.{cgi,pl}
chmod 755 examples

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{perl_vendorlib}/CGI*
%exclude %{perl_vendorlib}/CGI/Fast.pm
%{perl_vendorlib}/*.pm
%{_mandir}/man3/*

%changelog
* Mon Jan 09 2023 tv <tv> 1:4.550.0-1.mga9
+ Revision: 1931783
- update to 4.55

* Mon Mar 21 2022 umeabot <umeabot> 1:4.540.0-2.mga9
+ Revision: 1816060
- Mageia 9 Mass Rebuild

* Sat Feb 05 2022 tv <tv> 1:4.540.0-1.mga9
+ Revision: 1771580
- update to 4.54

* Sun Jun 06 2021 tv <tv> 1:4.530.0-1.mga9
+ Revision: 1729866
- update to 4.53

* Fri May 07 2021 tv <tv> 1:4.520.0-1.mga9
+ Revision: 1722134
- update to 4.52

* Tue Oct 06 2020 tv <tv> 1:4.510.0-1.mga8
+ Revision: 1632363
- update to 4.51

* Tue Jun 23 2020 tv <tv> 1:4.500.0-1.mga8
+ Revision: 1598545
- update to 4.50

* Tue Jun 09 2020 tv <tv> 1:4.490.0-1.mga8
+ Revision: 1591283
- update to 4.49

* Wed Jun 03 2020 tv <tv> 1:4.480.0-1.mga8
+ Revision: 1589868
- update to 4.48

* Sat May 02 2020 tv <tv> 1:4.470.0-1.mga8
+ Revision: 1577677
- update to 4.47

* Fri Feb 21 2020 umeabot <umeabot> 1:4.460.0-2.mga8
+ Revision: 1547837
- Mageia 8 Mass Rebuild

* Mon Feb 10 2020 shlomif <shlomif> 1:4.460.0-1.mga8
+ Revision: 1488476
- update to 4.46

* Tue Jan 14 2020 shlomif <shlomif> 1:4.450.0-1.mga8
+ Revision: 1477966
- update to 4.45

* Mon Aug 26 2019 tmb <tmb> 1:4.440.0-2.mga8
+ Revision: 1432668
- rebuild for perl 5.30

* Sat Jun 29 2019 shlomif <shlomif> 1:4.440.0-1.mga8
+ Revision: 1415443
- update to 4.44

* Wed Mar 27 2019 tv <tv> 1:4.420.0-1.mga7
+ Revision: 1380543
- update to 4.42

* Thu Sep 20 2018 umeabot <umeabot> 1:4.400.0-2.mga7
+ Revision: 1281851
- Mageia 7 Mass Rebuild

* Thu Aug 16 2018 tv <tv> 1:4.400.0-1.mga7
+ Revision: 1251885
- update to 4.40

* Tue Aug 14 2018 tv <tv> 1:4.390.0-1.mga7
+ Revision: 1251549
- update to 4.39

* Sat Dec 02 2017 tv <tv> 1:4.380.0-1.mga7
+ Revision: 1180652
- update to 4.38

* Wed Nov 01 2017 tv <tv> 1:4.370.0-1.mga7
+ Revision: 1175450
- update to 4.37

* Sat Jul 22 2017 shlomif <shlomif> 1:4.360.0-1.mga7
+ Revision: 1128431
- update to 4.36

* Sat Jun 18 2016 pterjan <pterjan> 1:4.280.0-2.mga6
+ Revision: 1023421
- Rebuild for perl 5.22.2

* Thu Apr 14 2016 shlomif <shlomif> 1:4.280.0-1.mga6
+ Revision: 1001410
- update to 4.28

* Thu Apr 14 2016 neoclust <neoclust> 1:4.270.0-2.mga6
+ Revision: 1001339
- Rebuild because of missing signature

* Sun Mar 13 2016 shlomif <shlomif> 1:4.270.0-1.mga6
+ Revision: 989806
- update to 4.27

* Wed Feb 10 2016 shlomif <shlomif> 1:4.260.0-1.mga6
+ Revision: 953347
- update to 4.26

* Fri Jan 15 2016 shlomif <shlomif> 1:4.250.0-1.mga6
+ Revision: 923350
- update to 4.25

* Sun Nov 15 2015 tv <tv> 1:4.220.0-1.mga6
+ Revision: 903335
- new release
- new release

* Sun Jul 05 2015 sander85 <sander85> 1:4.210.0-1.mga6
+ Revision: 851024
- update to 4.21

* Wed Oct 15 2014 umeabot <umeabot> 1:4.40.0-5.mga5
+ Revision: 745459
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 shlomif <shlomif> 1:4.40.0-4.mga5
+ Revision: 731600
- Rebuild for new perl-5.20.1 - core-will-be-removed module

* Thu Sep 25 2014 guillomovitch <guillomovitch> 1:4.40.0-3.mga5
+ Revision: 724620
- rebuild with new perl to avoid CORE removal warnings

* Tue Sep 16 2014 umeabot <umeabot> 1:4.40.0-2.mga5
+ Revision: 683623
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 sander85 <sander85> 1:4.40.0-1.mga5
+ Revision: 672752
- update to 4.04

* Fri Jun 13 2014 jquelin <jquelin> 1:4.20.0-1.mga5
+ Revision: 635929
- update to 4.02

* Fri Jun 06 2014 jquelin <jquelin> 1:4.10.0-1.mga5
+ Revision: 634019
- update to 4.01

* Wed Jun 04 2014 guillomovitch <guillomovitch> 1:3.650.0-2.mga5
+ Revision: 632837
- rebuild to take precedence over CORE version

* Thu Feb 13 2014 jquelin <jquelin> 1:3.650.0-1.mga5
+ Revision: 590560
- update to 3.65

* Mon Feb 10 2014 jquelin <jquelin> 1:3.640.0-1.mga5
+ Revision: 587905
- update to 3.64

* Sat Oct 19 2013 umeabot <umeabot> 1:3.630.0-4.mga4
+ Revision: 522765
- Mageia 4 Mass Rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1:3.630.0-3.mga3
+ Revision: 405458
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:3.630.0-2.mga3
+ Revision: 363442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 jquelin <jquelin> 1:3.630.0-1.mga3
+ Revision: 322960
- update to 3.63

* Wed Nov 14 2012 jquelin <jquelin> 1:3.620.0-1.mga3
+ Revision: 317602
- update to 3.62

* Tue Nov 06 2012 jquelin <jquelin> 1:3.610.0-1.mga3
+ Revision: 315067
- update to 3.61

* Mon Aug 27 2012 jquelin <jquelin> 1:3.600.0-1.mga3
+ Revision: 284577
- update to 3.60

* Thu Apr 26 2012 jquelin <jquelin> 1:3.590.0-2.mga2
+ Revision: 233351
- fix examples perms (mga#5621)

* Wed Jan 04 2012 jquelin <jquelin> 1:3.590.0-1.mga2
+ Revision: 190268
- update to 3.59

* Mon Nov 14 2011 jquelin <jquelin> 1:3.580.0-1.mga2
+ Revision: 167630
- update to 3.58

* Wed Jun 15 2011 jquelin <jquelin> 1:3.550.0-1.mga2
+ Revision: 106472
- update to 3.55

* Sat Feb 26 2011 jquelin <jquelin> 1:3.520.0-1.mga1
+ Revision: 60597
- update to 3.52

* Wed Jan 19 2011 jquelin <jquelin> 1:3.510.0-2.mga1
+ Revision: 24524
- rebuild
- fix specs

* Sun Jan 09 2011 jquelin <jquelin> 1:3.510.0-1.mga1
+ Revision: 2037
- imported package perl-CGI

